跳至內容

Nemotron Diffusion Vlm

整合

模型 id nemotron-diffusion-vlm
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nemotron-diffusion-vlm?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.005 5 API 點數 在此頁面執行

取得 API 金鑰
NVIDIA 視覺 #utility#editing

視覺語言模型,使用以 diffusion 為基礎的文字解碼回答關於影像的提示

NVIDIA · 文字

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

指定要針對圖像回答內容的提示詞。

•必填 image_url
拖放檔案,或

指向要處理之圖像的 URL。

進階 max_tokens · num_inference_steps · block_length · threshold · enable_safety_checker
預設 512

生成 Token 的上限。

預設 256

明確指定時,請將擴散解碼步數設為 max_tokens / block_length 的倍數;步數也不得小於該商。

預設 32

每個擴散解碼區塊的長度。

預設 0.9

擴散解碼的信心度門檻。

POST /run/nemotron-diffusion-vlm?wait=20 報價 → $0.005
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/nemotron-diffusion-vlm?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 Nemotron Diffusion Vlm

在 `image_url` 中接受影像,並在 `prompt` 中接受問題,然後傳回文字答案。可透過 `max_tokens`(1 到 8192)、`num_inference_steps`(1 到 1024)、`block_length`(8 到 128)和 0 到 1 的信心度 `threshold` 調整解碼。輸出也包含計時和使用量詳細資料。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_url必填 image
類型url · image
指向要處理之圖像的 URL。
prompt必填
類型string
指定要針對圖像回答內容的提示詞。
max_tokens選填
類型integer
預設值512
1 – 8,192
生成 Token 的上限。
num_inference_steps選填
類型integer | null
預設值256
1 – 1,024
明確指定時,請將擴散解碼步數設為 max_tokens / block_length 的倍數;步數也不得小於該商。
block_length選填
類型integer
預設值32
8 – 128
每個擴散解碼區塊的長度。
threshold選填
類型number
預設值0.9
0 – 1
擴散解碼的信心度門檻。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "nemotron-diffusion-vlm",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 5,
    "usd": "0.005",
    "charged": 5,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "output": "The image shows a dog sitting outdoors.",
    "usage": {
      "prompt_tokens": 1,
      "completion_tokens": 1,
      "num_function_evals": 1
    },
    "timings": {
      "total_time": 1.0,
      "image_validation_time": 1.0,
      "preprocessing_time": 1.0,
      "gpu_transfer_time": 1.0,
      "generation_time": 1.0,
      "decode_time": 1.0
    }
  },
  "outputs": [
    {
      "type": "file",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
output
string模型產生的回答。
usage
object {prompt_tokens, completion_tokens, num_function_evals}Token 與擴散解碼的用量詳細資訊。
timings
object {total_time, image_validation_time, preprocessing_time, gpu_transfer_time, generation_time, decode_time}請求處理時間的細分,單位為秒。

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/nemotron-diffusion-vlm.md. 所有模型與指南: https://doitong.com/developers/llms.txt